diff options
author | Jim Meyering <jim@meyering.net> | 2007-09-06 23:05:16 +0200 |
---|---|---|
committer | Jim Meyering <jim@meyering.net> | 2007-09-15 08:40:38 +0200 |
commit | 33173e867aa45b7f88551551da51e36875582813 (patch) | |
tree | 8bbe0a98f0b3cbd0977e35b2b0d4f4cc432dc288 /tests/mv/no-target-dir | |
parent | df0beae1eb1318869d51a064aec8fdd401877cbf (diff) | |
download | coreutils-33173e867aa45b7f88551551da51e36875582813.tar.xz |
Convert tests/mv, too.
* tests/other-fs-tmpdir: Before, all callers would exit 77 upon failure to
find the required dir. Now, exit 77 in this script so callers don't have to.
Adjust callers.
Diffstat (limited to 'tests/mv/no-target-dir')
-rwxr-xr-x | tests/mv/no-target-dir | 22 |
1 files changed, 5 insertions, 17 deletions
diff --git a/tests/mv/no-target-dir b/tests/mv/no-target-dir index 84b30b4b0..7f3a926a5 100755 --- a/tests/mv/no-target-dir +++ b/tests/mv/no-target-dir @@ -2,7 +2,7 @@ # ensure that --no-target-directory (-T) works when the destination is # an empty directory. -# Copyright (C) 2006 Free Software Foundation, Inc. +# Copyright (C) 2006-2007 Free Software Foundation, Inc. # This program is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by @@ -22,24 +22,13 @@ if test "$VERBOSE" = yes; then mv --version fi -pwd=`pwd` -t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$ -trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0 -trap '(exit $?); exit $?' 1 2 13 15 +. $srcdir/../test-lib.sh -framework_failure=0 -mkdir -p $tmp || framework_failure=1 -cd $tmp || framework_failure=1 -mkdir -p d/sub empty src d2/sub e2 || framework_failure=1 -touch f || framework_failure=1 +mkdir -p d/sub empty src d2/sub e2 || framework_failure +touch f || framework_failure # Skip this test if there's an underlying kernel bug. -mkdir a b b/a || framework_failure=1 - -if test $framework_failure = 1; then - echo "$0: failure in testing framework" 1>&2 - (exit 1); exit 1 -fi +mkdir a b b/a || framework_failure mv a b || { echo "$0: skipping this test: your kernel's rename syscall is buggy" 1>&2 @@ -58,7 +47,6 @@ ls -d d > /dev/null 2>&1 && fail=1 # Ensure that the dest dir now has a subdirectory. test -d empty/sub || fail=1 - # rename must fail, since the dest is non-empty. mv -fT src d2 2> /dev/null && fail=1 |